petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscConvEstRateView

Displays the convergence rate to a viewer

### Synopsis

    #include "petscconvest.h"
    PetscErrorCode PetscConvEstRateView(PetscConvEst ce, const PetscReal alpha[], PetscViewer viewer)

Collective on SNES

### Parameter

| snes | - iterative context obtained from SNESCreate()
| alpha | - the convergence rate for each field
| viewer | - the viewer to display the reason

### Options Database Keys

-snes_convergence_estimate -print the convergence rate

### See Also

PetscConvEstGetRate()

### Level

developer

### Location

src/snes/utils/convest.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages